<template>
  <div class="printcomment">
    <h1>리스트 출력</h1>
    <ul>
       <li v-for="(value, co_id) in list.slice().reverse()" v-bind:key="co_id" v-bind:id="value.co_id">
         <td>
          [id: {{value.co_id}}, username: {{value.username}}]
          <button v-on:click="delcomment(value)">삭제</button>
          <!-- <button v-on:click="addreplyy(value.co_id)">댓글달기</button> -->
         </td>
          <addreply v-bind:list="list" v-on:reinput="addreplyy" v-bind:id="value.co_id"></addreply>
       </li>

    </ul>
    
  </div>
</template>

<script>
import addreply from './addreply'

export default {
  name: 'printlist',
  components: {
    addreply
  },
  props: {
    list: Array
  },
  methods: {
      delcomment: function(value) {
        let url = `http://localhost:3000/delcomment`
      // let url = `http://localhost:3000/delcomment?id=${value.co_id}`

        fetch(url, {
         method: 'POST',
          body: JSON.stringify(value),
          headers: {
            'Content-Type': 'application/json'
          },
          credentials: 'include'
        })
      },
      addreplyy: function(value) {
        // console.log('몇번클릭')
        let url = "http://localhost:3000/addreply"

        fetch(url, {
          method: 'POST',
          body: JSON.stringify(value),
          headers: {
            'Content-Type': 'application/json'
          },
          credentials: 'include'
        })
      }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
